#
# spec file for package kubectl-oomd
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __arch_install_post export NO_BRP_STRIP_DEBUG=true

Name:           kubectl-oomd
Version:        0.0.7
Release:        1.11
Summary:        Show pods/containers which have recently been 'OOMKilled'
License:        Apache-2.0
URL:            https://github.com/jdockerty/kubectl-oomd
Source:         kubectl-oomd-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  go >= 1.19

%description
kubectl plugin to display the pods and containers which have recently been OOMKilled.

%prep
%setup -q
%setup -q -T -D -a 1

%build
go build \
   -mod=vendor \
   -buildmode=pie \
   -o %{name} ./cmd/plugin

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Dec 12 2022 kastl@b1-systems.de
- Update to version 0.0.7:
  * release: 0.0.7 (#18)
  * fix: request/limits mismatch with many containers in a pod (#21)
  * refactor: table format to constants (#19)
  * feat: sort by termination timestamp (#17)
  * feat: integration test/better testing (#16)
* Mon Dec  5 2022 Johannes Kastl <kastl@b1-systems.de>
- new package kubectl-oomd
